import 'dart:convert';

import 'package:welltested/src/models/dependency_info.dart';
import 'package:welltested/src/models/pubspec_data.dart';

extension PubspecDataExt on PubspecData {
  DependencyInfo? get welltestedInfo {
    if (this.dev_dependencies?.containsKey('welltested') ?? false)
      return DependencyInfo(
          'welltested', jsonEncode(this.dev_dependencies?['welltested']),
          dev: true);
    if (this.dependencies?.containsKey('welltested') ?? false)
      return DependencyInfo(
          'welltested', jsonEncode(this.dependencies?['welltested']),
          dev: true);
    return null;
  }
}
